# Created by pyp2rpm-1.1.2
%global pypi_name XStatic-Magic-Search

Name:           python-%{pypi_name}
Version:        0.2.0.1
Release:        2%{?dist}
Summary:        Magic-Search (XStatic packaging standard)

License:        ASL 2.0
URL:            https://github.com/eucalyptus/magic-search
Source0:        https://pypi.python.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires:       python-XStatic
Requires:       web-assets-filesystem


%description
MagicSearch is an AngularJS directive that provides a UI for both faceted
filtering and as-you-type filtering. It is intended for filtering tables,
such as an AngularJS smart-table, but it can be used in any situation
where you can provide it with facets/options and consume its events.

%prep
%setup -q -n xstatic-magic-search
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/magic_search'|" xstatic/pkg/magic_search/__init__.py



%build
# due
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/magic_search
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/magic_search/data/magic_search.* %{buildroot}/%{_jsdir}/magic_search



%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/magic_search
%{python2_sitelib}/XStatic_Magic_Search-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/XStatic_Magic_Search-%{version}-py%{python_version}-nspkg.pth
%{_jsdir}/magic_search

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Matthias Runge <mrunge@redhat.com> - 0.2.0.1-1
- Initial package. (rhbz#1204779)
